bitmanip.h File Reference

Optimised classes for bitwise analysis and manipulation of native data types. More...

`#include "regina-core.h"`
`#include "regina-config.h"`

## Classes

class | regina::GenericBitManipulator< T, size >
| A generic class for bitwise analysis and manipulation of native data types. More...
class | regina::BitManipulator< T, size >
| An optimised class for bitwise analysis and manipulation of native data types. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Detailed Description

Optimised classes for bitwise analysis and manipulation of native data types.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).